Suite

Installer cartopy sur OSGeo4W


J'essaie d'installer cartopy sur OSGeo4W. Même si tous les packages requis sont déjà téléchargés et mis à jour, le programme d'installation ne les reconnaîtra pas. J'obtiens toujours l'erreur suivante :

setup.py:168 : UserWarning : impossible de déterminer la version de GEOS. Assurez-vous que la version 3.3 ou une version ultérieure est installée, sinon l'installation peut échouer. setup.py:224 : UserWarning : impossible de déterminer la version de Proj4. Assurez-vous que la version 4.8.0 ou ultérieure est installée, sinon l'installation peut échouer. La version 0.0.0 de Proj4 est installée, mais cartopy nécessite au moins la version 4.8.0.

J'ai également essayé de télécharger une ancienne version de cartopy et j'ai essayé de la construire contre le shapely et le GEOS installés. J'ai reçu un long dump de sortie, y compris l'erreur :

*LINK : erreur fatale LNK1181 : impossible d'ouvrir le fichier d'entrée 'proj.lib' erreur : commande "C:Users	ug28727AppDataLocalProgramsCommonMicrosoftVisual C++ for Python9.0VCBinamd64 link.exe"' a échoué avec l'état de sortie 1181*

Des idées?


Voir la vidéo: Muovirunkoisen Potentiometrin asentaminen (Octobre 2021).